Page MenuHomePhabricator

Request new namespace aliases for "User:", "File:" and their talk page spaces on zh wikipedia
Closed, ResolvedPublic

Description

According to this newly passed proposal on zh wikipedia's village pump, people strongly wish to have:

U: aliasing User:
UT: aliasing User talk:
F: aliasing File:
FT: aliasing File talk:

such that, say, U:example would jump to User:example.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd new namespace aliases on zhwiki

Event Timeline

RanD created this task.Dec 27 2017, 5:46 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald TranscriptDec 27 2017, 5:46 AM
Restricted Application added a project: User-Jayprakash12345. · View Herald TranscriptDec 27 2017, 5:46 AM
Ebe123 added a subscriber: Ebe123.Dec 27 2017, 7:19 AM

Doesn't conflict with any language code or other interwiki link.

Doesn't conflict with any language code or other interwiki link.

Yeah, It does not conflict with any language code or other interwiki links. I checked on https://en.wikipedia.org/wiki/Special:Interwiki

Change 400267 had a related patch set uploaded (by Jayprakash12345; owner: Jayprakash12345):
[operations/mediawiki-config@master] Add new namespace aliases on zhwiki

https://gerrit.wikimedia.org/r/400267

LNDDYL added a subscriber: LNDDYL.Dec 30 2017, 3:24 AM
AndyAndyAndyAlbert triaged this task as Normal priority.Jan 2 2018, 2:17 PM

Yeah. I should not.

@Aklapper, anyway, this is normal priority.

Schedule for 14:00–15:00 UTC, January 8th

hashar added a subscriber: hashar.Jan 8 2018, 2:24 PM

Before deploying the change, I noticed some articles seem to be in duplicate:

$ mwscript namespaceDupes.php --wiki=zhwiki --fix
id=4488106 ns=0 dbk=Talk:沙溪兴教寺 *** dest title exists and --add-prefix not specified
id=4775712 ns=0 dbk=User_talk:Yuriy_kosygin *** dest title exists and --add-prefix not specified
id=4488064 ns=0 dbk=Wikipedia:知识问答 *** dest title exists and --add-prefix not specified
3 pages to fix, 0 were resolvable.

pagelinks from=935984 ns=0 dbk=WP:沙盒 -> Wikipedia:沙盒
1 links to fix, 1 were resolvable.

Change 400267 merged by jenkins-bot:
[operations/mediawiki-config@master] Add new namespace aliases on zhwiki

https://gerrit.wikimedia.org/r/400267

hashar added a comment.Jan 8 2018, 2:32 PM

Then once deployed:

terbium:~$ mwscript namespaceDupes.php --wiki=zhwiki
id=4488106 ns=0 dbk=Talk:沙溪兴教寺 *** dest title exists and --add-prefix not specified
id=4775712 ns=0 dbk=User_talk:Yuriy_kosygin *** dest title exists and --add-prefix not specified
id=4488064 ns=0 dbk=Wikipedia:知识问答 *** dest title exists and --add-prefix not specified
3 pages to fix, 0 were resolvable.

pagelinks from=201889 ns=0 dbk=U: *** INVALID
pagelinks from=201891 ns=0 dbk=U: *** INVALID
pagelinks from=3444148 ns=0 dbk=U:Bluedeck -> User:Bluedeck DRY RUN
pagelinks from=3774961 ns=0 dbk=U:Bluedeck -> User:Bluedeck DRY RUN
pagelinks from=5024955 ns=0 dbk=U:Bluedeck -> User:Bluedeck DRY RUN
pagelinks from=201889 ns=0 dbk=U:燃灯 -> User:燃灯 DRY RUN
pagelinks from=201891 ns=0 dbk=U:燃灯 -> User:燃灯 DRY RUN
pagelinks from=935984 ns=0 dbk=WP:沙盒 -> Wikipedia:沙盒 DRY RUN
pagelinks from=5567834 ns=0 dbk=F:M值 -> File:M值 DRY RUN
9 links to fix, 7 were resolvable.

--fix managed to fix up a few pagelinks but not all of them:

$ mwscript namespaceDupes.php --wiki=zhwiki --fix
id=4488106 ns=0 dbk=Talk:沙溪兴教寺 *** dest title exists and --add-prefix not specified
id=4775712 ns=0 dbk=User_talk:Yuriy_kosygin *** dest title exists and --add-prefix not specified
id=4488064 ns=0 dbk=Wikipedia:知识问答 *** dest title exists and --add-prefix not specified
3 pages to fix, 0 were resolvable.

pagelinks from=201889 ns=0 dbk=U: *** INVALID
pagelinks from=201891 ns=0 dbk=U: *** INVALID
pagelinks from=3774961 ns=0 dbk=U:Bluedeck -> User:Bluedeck
pagelinks from=5024955 ns=0 dbk=U:Bluedeck -> User:Bluedeck
pagelinks from=201889 ns=0 dbk=U:燃灯 -> User:燃灯
pagelinks from=201891 ns=0 dbk=U:燃灯 -> User:燃灯
pagelinks from=935984 ns=0 dbk=WP:沙盒 -> Wikipedia:沙盒
7 links to fix, 5 were resolvable.

Mentioned in SAL (#wikimedia-operations) [2018-01-08T14:33:06Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Add new namespace aliases on zhwiki - T183711 (duration: 00m 50s)

Jayprakash12345 closed this task as Resolved.Jan 8 2018, 2:35 PM